/*
//  polynomials.h
//  
//
//  Created by Valentin Emiya on 11/03/13.
//  Copyright (c) 2013 CNRS LIF, Aix-Marseille Univ. All rights reserved.
*/

#ifndef _polynomials_h
#define _polynomials_h

typedef struct {
    double * coeff; /* Coefficients */
    int K; /* Ordre du polynôme */
} Polynomial;

Polynomial * create_polynomial(int K);
void free_polynomial(Polynomial * p);
void set_coefficient(Polynomial * p, int k, double c);
double eval_polynomial(Polynomial * p, double x);
Polynomial * diff_polynomial(Polynomial * p);
Polynomial * diff_n_polynomial(Polynomial * p, int n);

#endif
