/*
 //  vectors_test.c
 //  
 //
 //  Created by Valentin Emiya on 11/03/13.
 //  Copyright (c) 2013 CNRS LIF, Aix-Marseille Univ. All rights reserved.
 */

#include <stdio.h>
#include "vectors.h"


int main(){
    /* Programme de test */
    
    double *u;
    double *v;
    double *w;
    int Nu = 5;
	int Nv = Nu;
    int Nw = 12;
    
    u = create_vector(Nu);
    v = create_vector(Nv);
    w = create_vector(Nw);
    
    fill_vector(u, Nu);
    fill_vector(v, Nv);
    fill_vector(w, Nw);
    
    print_vector(u, Nu);
    print_vector(v, Nv);
    print_vector(w, Nw);
    
    printf("<u,v>=%g\n", dot_product(u, v, Nu));
    printf("<v,u>=%g\n", dot_product(v, u, Nu));
    
    printf("are u and v orthogonal? %d\n", is_orthogonal(u, v, Nu));

    /*v[4] = -6.0; /* à décommenter pour rendre u et v ortogonaux */
    printf("<u,v>=%g\n", dot_product(u, v, Nu));
    printf("are u and v orthogonal? %d\n", is_orthogonal(u, v, Nu));

    printf("norm2(u)=%g\n", norm2(u, Nu));
    printf("norm2(v)=%g\n", norm2(v, Nv));
    printf("norm2(w)=%g\n", norm2(w, Nw));
    printf("norm1(u)=%g\n", norm1(u, Nu));
    printf("norm_infty(u)=%g\n", norm_infty(u, Nu));
	
    free_vector(u);
    free_vector(v);
    free_vector(w);
    
    return 0;
}